<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page contentType="text/html;charset=UTF-8" isELIgnored="false"%>
<%@ page import="java.util.List" %>
<%@ page import="com.nisum.model.Product" %>

<html>
<head>
    <title>FashionHub</title>
    <link rel="icon" href="./images/NISUM.jpeg" type="image/x-icon">
    <link rel="stylesheet" href="./CSS/product.css">

</head>
<body>
<div class="header">
<h1>FashionHub </h1>
<input type="text" placeholder="Search for clothing by Product ID or Category ID">
</div>
<div class="filters">
<input type="text" placeholder="Product ID">
<input type="text" placeholder="Category ID">
<select>
<option>Category</option>
<option>men</option>
<option>women</option>
<option>kids</option>
</select>
<select>
<option>Size</option>
<option>S</option>
<option>M</option>
<option>L</option>
<option>XL</option>
</select>
</div>
<div class="product-grid">
    <c:forEach var="product" items="${products}">
 <a href="${pageContext.request.contextPath}/productInfo?id=${product.id}" class="product-card" style="text-decoration: none; color: inherit;">
            <img src=${product.imageurl} alt="product_Image">
            <div class="product-info">
            <h3>${product.name}</h3>
            </div>
            </a>
    </c:forEach>
</div>
</body>
</html>
