<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ page contentType="text/html;charset=UTF-8" isELIgnored="false"%>
<%@ page import="com.nisum.model.Product" %>

<!DOC TYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>FashionHub</title>
   <link rel="icon" href="./images/NISUM.jpeg" type="image/x-icon">
   <link rel="stylesheet" href="./CSS/productInformation.css">
</head>
<body>

<div class="product-container">
  <div class="product-image">
    <img src="01aff0730a2bc2e9828e6e015618bf4b2c50f341.avif" alt="Men's Cotton Shirt">
  </div>
  <div class="product-details">
    <h2>Men's Cotton Shirt</h2>
    <p>by <strong>FashionHub</strong></p>
    <p class="price">
      ₹799
      <span class="original-price">₹1299</span>
      <span class="discount">(38% OFF)</span>
    </p>

    <div class="offers">
      <strong>Available Offers:</strong>
      <p>• Get 10% off with HDFC Bank Cards</p>
      <p>• Free shipping on orders above ₹499</p>
      <p>• Flat ₹100 cashback on Paytm UPI</p>
    </div>

    <div class="selectors">
      <label for="size">Size:</label>
      <select id="size">
        <option>M</option>
        <option>L</option>
        <option>XL</option>
      </select>

      <label for="quantity">Quantity:</label>
      <select id="quantity">
        <option>1</option>
        <option selected>2</option>
        <option>3</option>
      </select>
    </div>

    <p class="stock">Only 5 items left in stock!</p>

    <div class="buttons">
      <button class="add-cart">Add to Cart</button>
      <button class="go-cart">Go to Shopping Cart </button>
    </div>
  </div>
</div>

</body>
</html>